diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/ms-functions.php ./wordpress-3.4/wp-includes/ms-functions.php
*** ./wordpress-3.3.2/wp-includes/ms-functions.php	2012-04-19 18:00:36.000000000 -0500
--- ./wordpress-3.4/wp-includes/ms-functions.php	2012-05-02 15:31:37.000000000 -0500
***************
*** 185,191 ****
  
  	$user = new WP_User($user_id);
  
! 	if ( empty( $user->ID ) ) {
  		restore_current_blog();
  		return new WP_Error('user_does_not_exist', __('That user does not exist.'));
  	}
--- 185,191 ----
  
  	$user = new WP_User($user_id);
  
! 	if ( ! $user->exists() ) {
  		restore_current_blog();
  		return new WP_Error('user_does_not_exist', __('That user does not exist.'));
  	}
***************
*** 247,253 ****
  
  	// wp_revoke_user($user_id);
  	$user = new WP_User($user_id);
! 	if ( empty( $user->ID ) ) {
  		restore_current_blog();
  		return new WP_Error('user_does_not_exist', __('That user does not exist.'));
  	}
--- 247,253 ----
  
  	// wp_revoke_user($user_id);
  	$user = new WP_User($user_id);
! 	if ( ! $user->exists() ) {
  		restore_current_blog();
  		return new WP_Error('user_does_not_exist', __('That user does not exist.'));
  	}
***************
*** 279,286 ****
   *
   * @param string $domain The new blog's domain.
   * @param string $path The new blog's path.
!  * @param string $string The new blog's title.
!  * @param int $site Optional. Defaults to 1.
   * @return int The ID of the newly created blog
   */
  function create_empty_blog( $domain, $path, $weblog_title, $site_id = 1 ) {
--- 279,286 ----
   *
   * @param string $domain The new blog's domain.
   * @param string $path The new blog's path.
!  * @param string $weblog_title The new blog's title.
!  * @param int $site_id Optional. Defaults to 1.
   * @return int The ID of the newly created blog
   */
  function create_empty_blog( $domain, $path, $weblog_title, $site_id = 1 ) {
***************
*** 436,445 ****
  
  	$orig_username = $user_name;
  	$user_name = preg_replace( '/\s+/', '', sanitize_user( $user_name, true ) );
- 	$maybe = array();
- 	preg_match( '/[a-z0-9]+/', $user_name, $maybe );
  
! 	if ( $user_name != $orig_username || $user_name != $maybe[0] ) {
  		$errors->add( 'user_name', __( 'Only lowercase letters (a-z) and numbers are allowed.' ) );
  		$user_name = $orig_username;
  	}
--- 436,443 ----
  
  	$orig_username = $user_name;
  	$user_name = preg_replace( '/\s+/', '', sanitize_user( $user_name, true ) );
  
! 	if ( $user_name != $orig_username || preg_match( '/[^a-z0-9]/', $user_name ) ) {
  		$errors->add( 'user_name', __( 'Only lowercase letters (a-z) and numbers are allowed.' ) );
  		$user_name = $orig_username;
  	}
***************
*** 447,453 ****
  	$user_email = sanitize_email( $user_email );
  
  	if ( empty( $user_name ) )
! 	   	$errors->add('user_name', __('Please enter a username'));
  
  	$illegal_names = get_site_option( 'illegal_names' );
  	if ( is_array( $illegal_names ) == false ) {
--- 445,451 ----
  	$user_email = sanitize_email( $user_email );
  
  	if ( empty( $user_name ) )
! 	   	$errors->add('user_name', __( 'Please enter a username.' ) );
  
  	$illegal_names = get_site_option( 'illegal_names' );
  	if ( is_array( $illegal_names ) == false ) {
***************
*** 455,467 ****
  		add_site_option( 'illegal_names', $illegal_names );
  	}
  	if ( in_array( $user_name, $illegal_names ) == true )
! 		$errors->add('user_name',  __('That username is not allowed'));
  
  	if ( is_email_address_unsafe( $user_email ) )
  		$errors->add('user_email',  __('You cannot use that email address to signup. We are having problems with them blocking some of our email. Please use another email provider.'));
  
  	if ( strlen( $user_name ) < 4 )
! 		$errors->add('user_name',  __('Username must be at least 4 characters'));
  
  	if ( strpos( ' ' . $user_name, '_' ) != false )
  		$errors->add( 'user_name', __( 'Sorry, usernames may not contain the character &#8220;_&#8221;!' ) );
--- 453,465 ----
  		add_site_option( 'illegal_names', $illegal_names );
  	}
  	if ( in_array( $user_name, $illegal_names ) == true )
! 		$errors->add('user_name',  __( 'That username is not allowed.' ) );
  
  	if ( is_email_address_unsafe( $user_email ) )
  		$errors->add('user_email',  __('You cannot use that email address to signup. We are having problems with them blocking some of our email. Please use another email provider.'));
  
  	if ( strlen( $user_name ) < 4 )
! 		$errors->add('user_name',  __( 'Username must be at least 4 characters.' ) );
  
  	if ( strpos( ' ' . $user_name, '_' ) != false )
  		$errors->add( 'user_name', __( 'Sorry, usernames may not contain the character &#8220;_&#8221;!' ) );
***************
*** 473,479 ****
  		$errors->add('user_name', __('Sorry, usernames must have letters too!'));
  
  	if ( !is_email( $user_email ) )
! 		$errors->add('user_email', __('Please enter a correct email address'));
  
  	$limited_email_domains = get_site_option( 'limited_email_domains' );
  	if ( is_array( $limited_email_domains ) && empty( $limited_email_domains ) == false ) {
--- 471,477 ----
  		$errors->add('user_name', __('Sorry, usernames must have letters too!'));
  
  	if ( !is_email( $user_email ) )
! 		$errors->add('user_email', __( 'Please enter a correct email address.' ) );
  
  	$limited_email_domains = get_site_option( 'limited_email_domains' );
  	if ( is_array( $limited_email_domains ) && empty( $limited_email_domains ) == false ) {
***************
*** 498,504 ****
  		$diff = $now - $registered_at;
  		// If registered more than two days ago, cancel registration and let this signup go through.
  		if ( $diff > 172800 )
! 			$wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->signups WHERE user_login = %s", $user_name) );
  		else
  			$errors->add('user_name', __('That username is currently reserved but may be available in a couple of days.'));
  
--- 496,502 ----
  		$diff = $now - $registered_at;
  		// If registered more than two days ago, cancel registration and let this signup go through.
  		if ( $diff > 172800 )
! 			$wpdb->delete( $wpdb->signups, array( 'user_login' => $user_name ) );
  		else
  			$errors->add('user_name', __('That username is currently reserved but may be available in a couple of days.'));
  
***************
*** 511,517 ****
  		$diff = current_time( 'timestamp', true ) - mysql2date('U', $signup->registered);
  		// If registered more than two days ago, cancel registration and let this signup go through.
  		if ( $diff > 172800 )
! 			$wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->signups WHERE user_email = %s", $user_email) );
  		else
  			$errors->add('user_email', __('That email address has already been used. Please check your inbox for an activation email. It will become available in a couple of days if you do nothing.'));
  	}
--- 509,515 ----
  		$diff = current_time( 'timestamp', true ) - mysql2date('U', $signup->registered);
  		// If registered more than two days ago, cancel registration and let this signup go through.
  		if ( $diff > 172800 )
! 			$wpdb->delete( $wpdb->signups, array( 'user_email' => $user_email ) );
  		else
  			$errors->add('user_email', __('That email address has already been used. Please check your inbox for an activation email. It will become available in a couple of days if you do nothing.'));
  	}
***************
*** 561,576 ****
  		$illegal_names = array_merge($illegal_names, apply_filters( 'subdirectory_reserved_names', array( 'page', 'comments', 'blog', 'files', 'feed' ) ) );
  
  	if ( empty( $blogname ) )
! 		$errors->add('blogname', __('Please enter a site name'));
  
  	if ( preg_match( '/[^a-z0-9]+/', $blogname ) )
! 		$errors->add('blogname', __('Only lowercase letters and numbers allowed'));
  
  	if ( in_array( $blogname, $illegal_names ) == true )
! 		$errors->add('blogname',  __('That name is not allowed'));
  
  	if ( strlen( $blogname ) < 4 && !is_super_admin() )
! 		$errors->add('blogname',  __('Site name must be at least 4 characters'));
  
  	if ( strpos( ' ' . $blogname, '_' ) != false )
  		$errors->add( 'blogname', __( 'Sorry, site names may not contain the character &#8220;_&#8221;!' ) );
--- 559,574 ----
  		$illegal_names = array_merge($illegal_names, apply_filters( 'subdirectory_reserved_names', array( 'page', 'comments', 'blog', 'files', 'feed' ) ) );
  
  	if ( empty( $blogname ) )
! 		$errors->add('blogname', __( 'Please enter a site name.' ) );
  
  	if ( preg_match( '/[^a-z0-9]+/', $blogname ) )
! 		$errors->add('blogname', __( 'Only lowercase letters and numbers allowed.' ) );
  
  	if ( in_array( $blogname, $illegal_names ) == true )
! 		$errors->add('blogname',  __( 'That name is not allowed.' ) );
  
  	if ( strlen( $blogname ) < 4 && !is_super_admin() )
! 		$errors->add('blogname',  __( 'Site name must be at least 4 characters.' ) );
  
  	if ( strpos( ' ' . $blogname, '_' ) != false )
  		$errors->add( 'blogname', __( 'Sorry, site names may not contain the character &#8220;_&#8221;!' ) );
***************
*** 590,596 ****
  	$blog_title = stripslashes(  $blog_title );
  
  	if ( empty( $blog_title ) )
! 		$errors->add('blog_title', __('Please enter a site title'));
  
  	// Check if the domain/path has been used already.
  	if ( is_subdomain_install() ) {
--- 588,594 ----
  	$blog_title = stripslashes(  $blog_title );
  
  	if ( empty( $blog_title ) )
! 		$errors->add('blog_title', __( 'Please enter a site title.' ) );
  
  	// Check if the domain/path has been used already.
  	if ( is_subdomain_install() ) {
***************
*** 614,620 ****
  		$diff = current_time( 'timestamp', true ) - mysql2date('U', $signup->registered);
  		// If registered more than two days ago, cancel registration and let this signup go through.
  		if ( $diff > 172800 )
! 			$wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->signups WHERE domain = %s AND path = %s", $mydomain, $path) );
  		else
  			$errors->add('blogname', __('That site is currently reserved but may be available in a couple days.'));
  	}
--- 612,618 ----
  		$diff = current_time( 'timestamp', true ) - mysql2date('U', $signup->registered);
  		// If registered more than two days ago, cancel registration and let this signup go through.
  		if ( $diff > 172800 )
! 			$wpdb->delete( $wpdb->signups, array( 'domain' => $mydomain , 'path' => $path ) );
  		else
  			$errors->add('blogname', __('That site is currently reserved but may be available in a couple days.'));
  	}
***************
*** 845,851 ****
  			return new WP_Error( 'already_active', __( 'The site is already active.' ), $signup );
  	}
  
! 	$meta = unserialize($signup->meta);
  	$user_login = $wpdb->escape($signup->user_login);
  	$user_email = $wpdb->escape($signup->user_email);
  	$password = wp_generate_password( 12, false );
--- 843,849 ----
  			return new WP_Error( 'already_active', __( 'The site is already active.' ), $signup );
  	}
  
! 	$meta = maybe_unserialize($signup->meta);
  	$user_login = $wpdb->escape($signup->user_login);
  	$user_email = $wpdb->escape($signup->user_email);
  	$password = wp_generate_password( 12, false );
***************
*** 880,886 ****
  	// TODO: What to do if we create a user but cannot create a blog?
  	if ( is_wp_error($blog_id) ) {
  		// If blog is taken, that means a previous attempt to activate this blog failed in between creating the blog and
! 		// setting the activation flag.  Let's just set the active flag and instruct the user to reset their password.
  		if ( 'blog_taken' == $blog_id->get_error_code() ) {
  			$blog_id->add_data( $signup );
  			$wpdb->update( $wpdb->signups, array( 'active' => 1, 'activated' => $now ), array( 'activation_key' => $key ) );
--- 878,884 ----
  	// TODO: What to do if we create a user but cannot create a blog?
  	if ( is_wp_error($blog_id) ) {
  		// If blog is taken, that means a previous attempt to activate this blog failed in between creating the blog and
! 		// setting the activation flag. Let's just set the active flag and instruct the user to reset their password.
  		if ( 'blog_taken' == $blog_id->get_error_code() ) {
  			$blog_id->add_data( $signup );
  			$wpdb->update( $wpdb->signups, array( 'active' => 1, 'activated' => $now ), array( 'activation_key' => $key ) );
***************
*** 1044,1049 ****
--- 1042,1048 ----
   * the notification email.
   *
   * @since MU
+  * @uses apply_filters() Filter newuser_notify_siteadmin to change the content of the email message
   *
   * @param int $user_id The new user's ID.
   * @return bool
***************
*** 1065,1071 ****
  
  Disable these notifications: %3s'), $user->user_login, $_SERVER['REMOTE_ADDR'], $options_site_url);
  
! 	$msg = apply_filters( 'newuser_notify_siteadmin', $msg );
  	wp_mail( $email, sprintf(__('New User Registration: %s'), $user->user_login), $msg );
  	return true;
  }
--- 1064,1070 ----
  
  Disable these notifications: %3s'), $user->user_login, $_SERVER['REMOTE_ADDR'], $options_site_url);
  
! 	$msg = apply_filters( 'newuser_notify_siteadmin', $msg, $user );
  	wp_mail( $email, sprintf(__('New User Registration: %s'), $user->user_login), $msg );
  	return true;
  }
***************
*** 1161,1168 ****
  	$wpdb->update( $wpdb->options, array('option_value' => ''), array('option_name' => 'admin_email') );
  
  	// remove all perms
! 	$wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->usermeta WHERE meta_key = %s", $table_prefix.'user_level') );
! 	$wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->usermeta WHERE meta_key = %s", $table_prefix.'capabilities') );
  
  	$wpdb->suppress_errors( false );
  }
--- 1160,1168 ----
  	$wpdb->update( $wpdb->options, array('option_value' => ''), array('option_name' => 'admin_email') );
  
  	// remove all perms
! 	$wpdb->delete( $wpdb->usermeta, array( 'meta_key' => $table_prefix.'user_level' ) );
! 
! 	$wpdb->delete( $wpdb->usermeta, array( 'meta_key' => $table_prefix.'capabilities' ) );
  
  	$wpdb->suppress_errors( false );
  }
***************
*** 1368,1374 ****
  	// Walk through each blog and get the most recent post
  	// published by $user_id
  	foreach ( (array) $user_blogs as $blog ) {
! 		$recent_post = $wpdb->get_row( $wpdb->prepare("SELECT ID, post_date_gmt FROM {$wpdb->base_prefix}{$blog->userblog_id}_posts WHERE post_author = %d AND post_type = 'post' AND post_status = 'publish' ORDER BY post_date_gmt DESC LIMIT 1", $user_id ), ARRAY_A);
  
  		// Make sure we found a post
  		if ( isset($recent_post['ID']) ) {
--- 1368,1375 ----
  	// Walk through each blog and get the most recent post
  	// published by $user_id
  	foreach ( (array) $user_blogs as $blog ) {
! 		$prefix = $wpdb->get_blog_prefix( $blog->userblog_id );
! 		$recent_post = $wpdb->get_row( $wpdb->prepare("SELECT ID, post_date_gmt FROM {$prefix}posts WHERE post_author = %d AND post_type = 'post' AND post_status = 'publish' ORDER BY post_date_gmt DESC LIMIT 1", $user_id ), ARRAY_A);
  
  		// Make sure we found a post
  		if ( isset($recent_post['ID']) ) {
***************
*** 1459,1467 ****
  /**
   * Check whether a blog has used its allotted upload space.
   *
-  * Used by get_dirsize() to get a directory's size when it contains
-  * other directories.
-  *
   * @since MU
   * @uses get_dirsize()
   *
--- 1460,1465 ----
***************
*** 1734,1742 ****
  		delete_option( 'new_user_' . $key );
  
  	if ( empty( $details ) || is_wp_error( add_existing_user_to_blog( $details ) ) )
! 		wp_die( sprintf(__('An error occurred adding you to this site. Back to the <a href="%s">homepage</a>.'), site_url() ) );
  
! 	wp_die( sprintf(__('You have been added to this site. Please visit the <a href="%s">homepage</a> or <a href="%s">log in</a> using your username and password.'), site_url(), admin_url() ), __('Success') );
  }
  
  /**
--- 1732,1740 ----
  		delete_option( 'new_user_' . $key );
  
  	if ( empty( $details ) || is_wp_error( add_existing_user_to_blog( $details ) ) )
! 		wp_die( sprintf(__('An error occurred adding you to this site. Back to the <a href="%s">homepage</a>.'), home_url() ) );
  
! 	wp_die( sprintf(__('You have been added to this site. Please visit the <a href="%s">homepage</a> or <a href="%s">log in</a> using your username and password.'), home_url(), admin_url() ), __('Success') );
  }
  
  /**
***************
*** 1862,1868 ****
  	if ( $blog_id == 0 )
  		$blog_id = $wpdb->blogid;
  
! 	$local_key = $wpdb->base_prefix . $blog_id . '_' . $key;
  
  	if ( isset( $current_user->$local_key ) )
  		return true;
--- 1860,1866 ----
  	if ( $blog_id == 0 )
  		$blog_id = $wpdb->blogid;
  
! 	$local_key = $wpdb->get_blog_prefix( $blog_id ) . $key;
  
  	if ( isset( $current_user->$local_key ) )
  		return true;
***************
*** 1948,1954 ****
  	$arrURL = parse_url( $url );
  
  	if ( force_ssl_content() && is_ssl() ) {
! 		if ( 'http' === $arrURL['scheme'] && 'https' !== $arrURL['scheme'] )
  			$url = str_replace( $arrURL['scheme'], 'https', $url );
  	}
  
--- 1946,1952 ----
  	$arrURL = parse_url( $url );
  
  	if ( force_ssl_content() && is_ssl() ) {
! 		if ( 'http' === $arrURL['scheme'] )
  			$url = str_replace( $arrURL['scheme'], 'https', $url );
  	}
  
***************
*** 1982,1986 ****
  	$count = $wpdb->get_var( $wpdb->prepare("SELECT COUNT(ID) as c FROM $wpdb->users WHERE spam = '0' AND deleted = '0'") );
  	update_site_option( 'user_count', $count );
  }
- 
- ?>
\ No newline at end of file
--- 1980,1982 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/ms-load.php ./wordpress-3.4/wp-includes/ms-load.php
*** ./wordpress-3.3.2/wp-includes/ms-load.php	2011-11-22 04:22:45.000000000 -0600
--- ./wordpress-3.4/wp-includes/ms-load.php	2012-01-26 14:34:27.000000000 -0600
***************
*** 211,220 ****
  	}
  
  	// Still no dice.
  	if ( 1 == count( $sites ) )
! 		wp_die( sprintf( /*WP_I18N_BLOG_DOESNT_EXIST*/'That site does not exist. Please try <a href="%s">%s</a>.'/*/WP_I18N_BLOG_DOESNT_EXIST*/, $sites[0]->domain . $sites[0]->path ) );
  	else
! 		wp_die( /*WP_I18N_NO_SITE_DEFINED*/'No site defined on this host. If you are the owner of this site, please check <a href="http://codex.wordpress.org/Debugging_a_WordPress_Network">Debugging a WordPress Network</a> for help.'/*/WP_I18N_NO_SITE_DEFINED*/ );
  }
  
  /**
--- 211,222 ----
  	}
  
  	// Still no dice.
+ 	wp_load_translations_early();
+ 
  	if ( 1 == count( $sites ) )
! 		wp_die( sprintf( __( 'That site does not exist. Please try <a href="%s">%s</a>.' ), 'http://' . $sites[0]->domain . $sites[0]->path ) );
  	else
! 		wp_die( __( 'No site defined on this host. If you are the owner of this site, please check <a href="http://codex.wordpress.org/Debugging_a_WordPress_Network">Debugging a WordPress Network</a> for help.' ) );
  }
  
  /**
***************
*** 228,246 ****
  function ms_not_installed() {
  	global $wpdb, $domain, $path;
  
! 	$title = /*WP_I18N_FATAL_ERROR*/'Error establishing database connection'/*/WP_I18N_FATAL_ERROR*/;
  	$msg  = '<h1>' . $title . '</h1>';
  	if ( ! is_admin() )
  		die( $msg );
! 	$msg .= '<p>' . /*WP_I18N_CONTACT_OWNER*/'If your site does not display, please contact the owner of this network.'/*/WP_I18N_CONTACT_OWNER*/ . '';
! 	$msg .= ' ' . /*WP_I18N_CHECK_MYSQL*/'If you are the owner of this network please check that MySQL is running properly and all tables are error free.'/*/WP_I18N_CHECK_MYSQL*/ . '</p>';
  	if ( false && !$wpdb->get_var( "SHOW TABLES LIKE '$wpdb->site'" ) )
! 		$msg .= '<p>' . sprintf( /*WP_I18N_TABLES_MISSING_LONG*/'<strong>Database tables are missing.</strong> This means that MySQL is not running, WordPress was not installed properly, or someone deleted <code>%s</code>. You really should look at your database now.'/*/WP_I18N_TABLES_MISSING_LONG*/, $wpdb->site ) . '</p>';
  	else
! 		$msg .= '<p>' . sprintf( /*WP_I18N_NO_SITE_FOUND*/'<strong>Could not find site <code>%1$s</code>.</strong> Searched for table <code>%2$s</code> in database <code>%3$s</code>. Is that right?'/*/WP_I18N_NO_SITE_FOUND*/, rtrim( $domain . $path, '/' ), $wpdb->blogs, DB_NAME ) . '</p>';
! 	$msg .= '<p><strong>' . /*WP_I18N_WHAT_DO_I_DO*/'What do I do now?'/*/WP_I18N_WHAT_DO_I_DO*/ . '</strong> ';
! 	$msg .= /*WP_I18N_RTFM*/'Read the <a target="_blank" href="http://codex.wordpress.org/Debugging_a_WordPress_Network">bug report</a> page. Some of the guidelines there may help you figure out what went wrong.'/*/WP_I18N_RTFM*/;
! 	$msg .= ' ' . /*WP_I18N_STUCK*/'If you&#8217;re still stuck with this message, then check that your database contains the following tables:'/*/WP_I18N_STUCK*/ . '</p><ul>';
  	foreach ( $wpdb->tables('global') as $t => $table ) {
  		if ( 'sitecategories' == $t )
  			continue;
--- 230,250 ----
  function ms_not_installed() {
  	global $wpdb, $domain, $path;
  
! 	wp_load_translations_early();
! 
! 	$title = __( 'Error establishing database connection' );
  	$msg  = '<h1>' . $title . '</h1>';
  	if ( ! is_admin() )
  		die( $msg );
! 	$msg .= '<p>' . __( 'If your site does not display, please contact the owner of this network.' ) . '';
! 	$msg .= ' ' . __( 'If you are the owner of this network please check that MySQL is running properly and all tables are error free.' ) . '</p>';
  	if ( false && !$wpdb->get_var( "SHOW TABLES LIKE '$wpdb->site'" ) )
! 		$msg .= '<p>' . sprintf( __( '<strong>Database tables are missing.</strong> This means that MySQL is not running, WordPress was not installed properly, or someone deleted <code>%s</code>. You really should look at your database now.' ), $wpdb->site ) . '</p>';
  	else
! 		$msg .= '<p>' . sprintf( __( '<strong>Could not find site <code>%1$s</code>.</strong> Searched for table <code>%2$s</code> in database <code>%3$s</code>. Is that right?' ), rtrim( $domain . $path, '/' ), $wpdb->blogs, DB_NAME ) . '</p>';
! 	$msg .= '<p><strong>' . __( 'What do I do now?' ) . '</strong> ';
! 	$msg .= __( 'Read the <a target="_blank" href="http://codex.wordpress.org/Debugging_a_WordPress_Network">bug report</a> page. Some of the guidelines there may help you figure out what went wrong.' );
! 	$msg .= ' ' . __( 'If you&#8217;re still stuck with this message, then check that your database contains the following tables:' ) . '</p><ul>';
  	foreach ( $wpdb->tables('global') as $t => $table ) {
  		if ( 'sitecategories' == $t )
  			continue;
***************
*** 250,254 ****
  
  	wp_die( $msg, $title );
  }
- 
- ?>
\ No newline at end of file
--- 254,256 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/ms-settings.php ./wordpress-3.4/wp-includes/ms-settings.php
*** ./wordpress-3.3.2/wp-includes/ms-settings.php	2011-08-18 17:27:30.000000000 -0500
--- ./wordpress-3.4/wp-includes/ms-settings.php	2012-01-26 14:34:27.000000000 -0600
***************
*** 31,37 ****
  			$domain = substr( $domain, 0, -4 );
  			$_SERVER['HTTP_HOST'] = substr( $_SERVER['HTTP_HOST'], 0, -4 );
  		} else {
! 			wp_die( /*WP_I18N_NO_PORT_NUMBER*/'Multisite only works without the port number in the URL.'/*/WP_I18N_NO_PORT_NUMBER*/ );
  		}
  	}
  
--- 31,38 ----
  			$domain = substr( $domain, 0, -4 );
  			$_SERVER['HTTP_HOST'] = substr( $_SERVER['HTTP_HOST'], 0, -4 );
  		} else {
! 			wp_load_translations_early();
! 			wp_die( __( 'Multisite only works without the port number in the URL.' ) );
  		}
  	}
  
***************
*** 116,123 ****
  		if ( defined( 'WP_INSTALLING' ) ) {
  			$current_blog->blog_id = $blog_id = 1;
  		} else {
! 			$msg = ! $wpdb->get_var( "SHOW TABLES LIKE '$wpdb->site'" ) ? ' ' . /*WP_I18N_TABLES_MISSING*/'Database tables are missing.'/*/WP_I18N_TABLES_MISSING*/ : '';
! 			wp_die( /*WP_I18N_NO_BLOG*/'No site by that name on this system.'/*/WP_I18N_NO_BLOG*/ . $msg );
  		}
  	}
  }
--- 117,125 ----
  		if ( defined( 'WP_INSTALLING' ) ) {
  			$current_blog->blog_id = $blog_id = 1;
  		} else {
! 			wp_load_translations_early();
! 			$msg = ! $wpdb->get_var( "SHOW TABLES LIKE '$wpdb->site'" ) ? ' ' . __( 'Database tables are missing.' ) : '';
! 			wp_die( __( 'No site by that name on this system.' ) . $msg );
  		}
  	}
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/nav-menu.php ./wordpress-3.4/wp-includes/nav-menu.php
*** ./wordpress-3.3.2/wp-includes/nav-menu.php	2011-09-20 17:57:47.000000000 -0500
--- ./wordpress-3.4/wp-includes/nav-menu.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 554,560 ****
   * - object:		The type of object originally represented, such as "category," "post", or "attachment."
   * - type_label:	The singular label used to describe this type of menu item.
   * - post_parent:	The DB ID of the original object's parent object, if any (0 otherwise).
!  * - menu_item_parent: 	The DB ID of the nav_menu_item that is this item's menu parent, if any.  0 otherwise.
   * - url:		The URL to which this menu item points.
   * - title:		The title of this menu item.
   * - target: 		The target attribute of the link element for this menu item.
--- 554,560 ----
   * - object:		The type of object originally represented, such as "category," "post", or "attachment."
   * - type_label:	The singular label used to describe this type of menu item.
   * - post_parent:	The DB ID of the original object's parent object, if any (0 otherwise).
!  * - menu_item_parent: 	The DB ID of the nav_menu_item that is this item's menu parent, if any. 0 otherwise.
   * - url:		The URL to which this menu item points.
   * - title:		The title of this menu item.
   * - target: 		The target attribute of the link element for this menu item.
***************
*** 782,786 ****
  		wp_update_nav_menu_item( $menu_id, 0, $args );
  	}
  }
- 
- ?>
--- 782,784 ----
